import { Component, EventEmitter, Output, ViewChild } from '@angular/core';
import { NgForm } from '@angular/forms';

@Component({
  selector: 'app-search-form',
  templateUrl: './search-form.component.html',
  styleUrls: ['./search-form.component.scss']
})
export class SearchFormComponent {
  customDateFormat = new Date();

  @Output() selectedStatut = new EventEmitter() ;
  @Output() selectedDemand = new EventEmitter() ;
  @Output() inputDate = new EventEmitter() ;
  @Output() resetInput = new EventEmitter() ;
  selectedOption = 'Type de demande';
  selectedOptionStatut = "Statut";

  onSelectDate(selectedValue: any) {
    console.log('La valeur sélectionnée est : ', selectedValue.target.value);
    this.inputDate.emit(selectedValue.target.value)
    // Autres actions à exécuter lors de la sélection de la valeur
  }

  onSelectChange(selectedValue: any) {
    console.log('La valeur sélectionnée est : ', selectedValue.target.value);
    this.selectedDemand.emit(selectedValue.target.value)
    // Autres actions à exécuter lors de la sélection de la valeur
  }
  
  // Autres actions à exécuter lors de la sélection de la valeur
  onSelectStatut(selectedValue: any) {
    console.log('La valeur sélectionnée est : ', selectedValue.target.value);
    this.selectedStatut.emit(selectedValue.target.value)

  }

  // Réinitialiser le formulaire
  resetForm(form: NgForm) {
    this.selectedOption = 'Type de demande';
    this.selectedOptionStatut = "Statut";
    this.customDateFormat = new Date();
    this.resetInput.emit(true);
  }

}
